\begin{tabular}{|c|c|c|c|c|c|c|}
\hline 
Action & Exception &  & Current path & Parent path & Children path & Data of the path\tabularnewline
\hline 
\hline 
\multirow{4}{*}{create} & Ok &  & delete & create &  & \tabularnewline
\cline{2-7} 
 & NodeAlreadyExists &  & create &  &  & \tabularnewline
\cline{2-7} 
 & NoNodeForEphemerals &  &  & create &  & \tabularnewline
\cline{2-7} 
 & NoNode &  &  & delete &  & \tabularnewline
\hline 
\multirow{3}{*}{delete} & Ok &  & create &  & delete & \tabularnewline
\cline{2-7} 
 & NotEmpty &  &  &  & create & \tabularnewline
\cline{2-7} 
 & NoNode &  & delete &  &  & \tabularnewline
\hline 
\multirow{2}{*}{setData} & Ok &  & create &  &  & \tabularnewline
\cline{2-7} 
 & NoNode &  & delete &  &  & \tabularnewline
\hline 
\multirow{2}{*}{getData} & Ok &  & create &  &  & setData\tabularnewline
\cline{2-7} 
 & NoNode &  & delete &  &  & \tabularnewline
\hline 
\multirow{2}{*}{getChildren} & Ok &  & create &  & create, delete & \tabularnewline
\cline{2-7} 
 & NoNode &  & delete &  &  & \tabularnewline
\hline 
exists & Ok &  & create, delete &  &  & \tabularnewline
\hline 
\end{tabular}
